> ## Documentation Index
> Fetch the complete documentation index at: https://docs.transmit.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1webhooks

> Update an existing webhook by ID. Only provided fields will be updated.



## OpenAPI

````yaml https://api.transmit.dev/openapi.json put /v1/webhooks/{id}
openapi: 3.1.0
info:
  title: Transmit.dev API
  description: >-
    A powerful email API for transactional and marketing emails. Send emails
    with tracking, analytics, and webhook support.
  version: 1.0.3
servers:
  - url: https://api.transmit.dev
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Emails
    description: Email sending and management operations
  - name: SMS
    description: SMS sending and management operations with toll-free numbers
  - name: Analytics
    description: Performance analytics and metrics
  - name: Billing
    description: Credit balance and usage information
  - name: Contacts
    description: Contact management operations
  - name: Webhooks
    description: Webhook configuration and testing
paths:
  /v1/webhooks/{id}:
    put:
      tags:
        - Webhooks
      description: Update an existing webhook by ID. Only provided fields will be updated.
      operationId: updateWebhook
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  format: uri
                nickname:
                  type: string
                subscribed_events:
                  minItems: 1
                  type: array
                  items:
                    type: string
                status:
                  type: string
                  enum:
                    - active
                    - inactive
      responses:
        '200':
          description: Webhook updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Webhook ID
                  url:
                    type: string
                    format: uri
                    description: Webhook URL
                  nickname:
                    description: Webhook nickname
                    type: string
                  subscribed_events:
                    type: array
                    items:
                      type: string
                    description: Subscribed event types
                  status:
                    type: string
                    enum:
                      - active
                      - inactive
                    description: Webhook status
                  secret:
                    description: Webhook secret (only returned on creation)
                    type: string
                  created_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    description: Creation timestamp
                  updated_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    description: Last update timestamp
                  last_delivery_at:
                    description: Last delivery timestamp
                    anyOf:
                      - type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      - type: 'null'
                  failure_count:
                    description: Failed delivery count
                    type: number
                  success_count:
                    description: Successful delivery count
                    type: number
                  total_delivery_count:
                    description: Total delivery attempts
                    type: number
                required:
                  - id
                  - url
                  - subscribed_events
                  - status
                  - created_at
                  - updated_at
        '400':
          description: Bad request - validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Error code
                  message:
                    type: string
                    description: Error message
                  statusCode:
                    type: number
                    description: HTTP status code
                  details:
                    description: Additional error details
                required:
                  - code
                  - message
                  - statusCode
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Error code
                  message:
                    type: string
                    description: Error message
                  statusCode:
                    type: number
                    description: HTTP status code
                  details:
                    description: Additional error details
                required:
                  - code
                  - message
                  - statusCode
        '404':
          description: Webhook not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Error code
                  message:
                    type: string
                    description: Error message
                  statusCode:
                    type: number
                    description: HTTP status code
                  details:
                    description: Additional error details
                required:
                  - code
                  - message
                  - statusCode
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Error code
                  message:
                    type: string
                    description: Error message
                  statusCode:
                    type: number
                    description: HTTP status code
                  details:
                    description: Additional error details
                required:
                  - code
                  - message
                  - statusCode
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Enter your API key with 'tx_' prefix. Get your API key from the
        dashboard.

````